Skip to main content
GET
/
agents
/
{uid}
cURL
curl --request GET \
  --url https://api.avala.ai/api/v1/agents/{uid}/ \
  --header 'X-Avala-Api-Key: <api-key>'
{
  "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "events": [
    "<string>"
  ],
  "callback_url": "<string>",
  "is_active": true,
  "project": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "task_types": [
    "<string>"
  ],
  "execution_stats": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-Avala-Api-Key
string
header
required

API key for authentication. Generate one in Mission Control Settings > Security & Identity.

Path Parameters

uid
string
required

Response

200 - application/json
uid
string<uuid>
name
string
Minimum string length: 1
description
string
Minimum string length: 1
events
string[]

List of event types this agent subscribes to, e.g. ['task.completed', 'result.submitted'].

Required string length: 1 - 100
callback_url
string<uri> | null
Minimum string length: 1
is_active
boolean
project
string<uuid> | null
task_types
string[]

If non-empty, only events for tasks of these types will trigger the agent.

Required string length: 1 - 50
execution_stats
Execution stats · object
created_at
string<date-time>
updated_at
string<date-time>